<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма добаления/редактирования страны.
 * 
 * Файл: /admin/shop/action/form_edit_add_country.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
if (isset($id)) 
{
	$edit_country = $id;
}
else 
{
	$edit_country = 0;
}


$form_params = array();
$form_params['title'] = $edit_country==0?$GLOBALS['MSG_shops']['country_add_form_title']:$GLOBALS['MSG_shops']['country_edit_form_title'];
$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/shop/shop.php';
$form_params['form_attribs']['name'] = 'EditAddCountry';
$shop = & singleton('shop');

$admin_forms_fields = new admin_forms_fields();

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data'),
'name' => $GLOBALS['MSG_shops']['header_admin__list_forms']);

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 58, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 58, 'load_data'),
'name' => $GLOBALS['MSG_shops']['country_add_form_link1']);

// Передаем в массив для констурктора хлебные крошки
$form_params['path_array'] = $new_path_array;

$admin_forms_fields->admin_forms_fields($form_params);

$DataBase = & singleton('DataBase');

// Редактировние налога
if ($edit_country)
{
	$type = 1;

	$result = $shop->GetCountry($edit_country);
	
	$shop_country_name = $result['shop_country_name'];
	
	$shop_country_order = $result['shop_country_order'];
}
// Добавление налога
else
{
	$shop_country_name = '';
	
	$shop_country_order = 0;
}

// Параметры.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab']);


// Имя налога
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'country_name';
$param['caption'] = $GLOBALS['MSG_shops']['country_add_form_name'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $shop_country_name;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$param['attributes']['class'] = 'large';

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Порядок сортировки страны
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_country_order';
$param['caption'] = $GLOBALS['MSG_shops']['show_producers_order'];
$param['type'] = 0; // Поле ввода.
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$param['format']['lib']['value'] = 'integer';
$param['format']['lib']['message'] = $GLOBALS['MSG_shops']['show_invalid_characters_integer'];
$param['value'] = $shop_country_order;

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// передеам скрытое поле с идентификатором адреса если он есть
if ($edit_country)
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'edit_country';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = $edit_country;
	$admin_forms_fields->AddField($param);
}

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'action';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = 'show_country';
$admin_forms_fields->AddField($param);

// Кнопка "Сохранить".
$param = array();
$param['name'] = 'save_country';
$param['caption'] = $GLOBALS['MSG_shops']['save'];
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'button';
$admin_forms_fields->AddButton($param);

// Кнопка "Применить".
$param = array();
$param['name'] = 'add_country';
$param['caption'] = $GLOBALS['MSG_shops']['apply'];
$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$admin_forms_fields->AddButton($param);

// Отображение формы.
$admin_forms_fields->ShowForm();
?>